# opkbuild
# tests/ob_plat_is_concerned
# Tests for ob_plat_is_concerned.
#
# Copyright (C) 2012, 2014 Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

. ./common.sh

ob_use metadata

ret=0
host_plat=
plats=
result=

main()
{
	. ./ob_plat_is_concerned.rc

	exit ${ret}
}

testcase()
{
	if ob_plat_is_concerned "${host_plat}" "${plats}"; then
		if ! ${result}; then
			printf 'False positive:\n' >&2
			printf '  Host platform:     "%s"\n' "${host_plat}" >&2
			printf '  Package platforms: "%s"\n' "${plats}" >&2
			ret=1
		fi
	else
		if ${result}; then
			printf 'False negative:\n' >&2
			printf '  Host platform:     "%s"\n' "${host_plat}" >&2
			printf '  Package platforms: "%s"\n' "${plats}" >&2
			ret=1
		fi
	fi
}

main "${@}"
